🚀 Digital ID portal is now live! Check out the overview to get started.
🚀 Digital ID portal is now live! Check out the overview to get started.
Fetch all currently active tasks along with their corresponding JSON schema. This allows you to see the expected input fields for each task in a single API call.
curl --request POST \
--url https://eu.platform.go.gbgplc.com/captain/api/journey/task/list/schema \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT"
}
'{
"status": "InProgress",
"instanceId": "<string>",
"tasks": [
{
"taskId": "Tkr7OENkIqYR8Y2CnrIW3TX-",
"variantId": "US_AgeVerification_Source1IncludingDOB",
"schema": {}
}
],
"schemas": {}
}Documentation Index
Fetch the complete documentation index at: https://docs.go.gbgplc.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique identifier for the journey instance.
"PiIuACmx8Q8R7qPnAkLAqBAT"
Successfully retrieved tasks and schemas.
Current status of the journey instance.
Completed, InProgress, Failed, Paused Unique identifier for the active journey instance.
List of active tasks for the journey instance.
Show child attributes
A map of schema identifiers to their JSON Schema (draft-07) definitions. Each key corresponds to the reference value in a task's schema object.
Show child attributes
Was this page helpful?
curl --request POST \
--url https://eu.platform.go.gbgplc.com/captain/api/journey/task/list/schema \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT"
}
'{
"status": "InProgress",
"instanceId": "<string>",
"tasks": [
{
"taskId": "Tkr7OENkIqYR8Y2CnrIW3TX-",
"variantId": "US_AgeVerification_Source1IncludingDOB",
"schema": {}
}
],
"schemas": {}
}